// pages/welfareMall/personal/personal.js
import WelfareMall from '../../../api/welfareMall'
import activity from '../../../api/activity'
import {getMobileCache, getPhoneNumber as getPhoneNumberSync} from '../../../utils/user'
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLogin: false,
    mobileTop: 'TONY WU',
    countNum: 0,
    grayTheme:false,
    navigationList:[],
    couponPath: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  getCountNum: async function(){
  /**
   * 福利社
   */
    let resBuy = await WelfareMall.getUserCouponSnNum({
      mobile: getMobileCache(),
    });
    return Number(resBuy.data.num)
  },

  // 授权手机号
  getPhoneNumber(e) {
    getPhoneNumberSync(e, async () => {
        let nums = await this.getCountNum();
        this.setData({
            isLogin: true,
            mobileTop: getMobileCache(),
            countNum: nums,
        })       
    })
  },

  // 授权手机号--跳转导航栏
  getPhoneNav(e) {
    getPhoneNumberSync(e, async () => {
        let nums = await this.getCountNum();
        this.setData({
            isLogin: true,
            mobileTop: getMobileCache(),
            countNum: nums,
        });
        this.goToCoupon(e);  
    })
  },

  // 授权手机号--跳转导航栏
  getPathCoupon(e) {
    console.log(e)
    getPhoneNumberSync(e, async () => {
        let nums = await this.getCountNum();
        console.log(nums)
        this.setData({
            isLogin: true,
            mobileTop: getMobileCache(),
            countNum: nums,
        });
        this.getCouponPath(e);  
    })
  },

  // 员工通道
  getStaff(e) {
    console.log(e)
    getPhoneNumberSync(e, async () => {
        let nums = await this.getCountNum();
        console.log(nums)
        this.setData({
            isLogin: true,
            mobileTop: getMobileCache(),
            countNum: nums,
        });
        this.toStaff(e);  
    })
  },

  // 动态获取导航栏
  async getIndexList(){
    let res =  await WelfareMall.getPersonalData();
    await this.getPath(res.data.navigationList);
    this.setData({
      navigationList:res.data.navigationList,
    })
  },

  // 导航栏地址链接跳转
  goToCoupon:function(e){
    var appId = e.currentTarget.dataset.appid;
    var path = e.currentTarget.dataset.path;
  
    if(appId && path){
      wx.navigateToMiniProgram({
        appId: appId,
        path: path,
        success(res) {
          // 打开成功
        }
      })
    }
    
    if(!appId && path){
      wx.navigateTo({
        url: path,
      })
    }
   
  },

  /**
   * 活动列表我的券包路径
   * @param {*} nums 
   */
  getPath: async function(res){
    if(res != null && res.length > 0){
      for(var i = 0;i<res.length;i++){
        if("/pages/welfareMall/coupon/coupon" == res[i].path){
         this.setData({
           couponPath: true,
         })    
         return;
        }
      }
   }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: async function () {
      this.setData({
          grayTheme: app.globalData.grayTheme
      })
    this.getIndexList();
    let  userMobile = await activity.getMobileCache();
    // console.log(userMobile)
    if (userMobile.length !== 0) {
      this.setData({
        isLogin: true,
        mobileTop: userMobile,
      })
    }

    if(this.data.isLogin){
      let nums = await this.getCountNum();
      this.setData({
        countNum: nums,
      })
    }

  },

  getCouponPath(e) {
    const url = "/pages/welfareMall/coupon/coupon"
    wx.navigateTo({
        url
    })
  },

  toStaff(e) {
    const url = "/pages/welfareMall/staff/distinguish"
    wx.navigateTo({
        url
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})